qtmir (0.8.0~git20260226.fb30a11-2) unstable; urgency=medium

  * debian/control:
    + Enforce rebuild against Mir 2.25.x.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Mar 2026 20:42:48 +0100

qtmir (0.8.0~git20260226.fb30a11-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Fix scaling of Lomiri via GRID_UNIT_PX env variable. (Reverted by patch).
    - Find FreeType via CMake, HarfBuzz via pkg-config.
    - Fix running on Asahi Linux.
  * debian/patches:
    + Drop 0002_src-modules-Re-introduce-lost-workaround-for-font-re.patch,
      0009_src-modules-Add-header-for-getpid.patch, 0011_src-platforms-Wrap-
      window-activity-change-in-a-try-c.patch, 0012_src-modules-Partial-revert-
      of-e73ef71622ad3202b77bf6.patch, 0022_modules-MirSurface-try-to-let-Mir-
      forceClose-dead-su.patch, 0001_Bump-minimum-required-CMake-version.patch
      and 0023_src-platforms-Select-GLRenderingProvider-based-on-
      suitability.patch. All addressed upstream.
    + Rebase 2003_disable-benchmarks.patch.
    + Add 0033_Revert-src-platforms-Fix-synchronization-bug-with-Mi.patch.
      Revert scaling fix as it breaks mouse pointer and keyboard.
  * debian/control:
    + Add B-D: libharfbuzz-dev.
  * debian/copyright:
    + Update copyright attributions.
  * debian/qml-module-qtmir.install:
    + xwayland.qtmir.png icon has change size.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Feb 2026 18:03:22 +0100

qtmir (0.8.0~git20250407.ea2f477-8) unstable; urgency=medium

  * Team upload

  [ Thorsten Alteholz ]
  * Use salsa-ci.yml instead of .gitlab-ci.yml

  [ Jeremy Bícha ]
  * Remove unnecessary direct Build-Depends: libboost-filesystem-dev,
    libboost-system-dev, uuid-dev (Closes: #1127264)
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 12:51:33 -0500

qtmir (0.8.0~git20250407.ea2f477-7) unstable; urgency=medium

  * debian/control:
    + Add to D: (qtmir): qtwayland5. Assure that the wayland platform plugin
      for Qt5 is available. QtMir / Lomiri session / shell will not come up
      otherwise. Thanks to Oren Klopfer for discovering and reporting this.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Nov 2025 07:38:25 +0100

qtmir (0.8.0~git20250407.ea2f477-6) unstable; urgency=medium

  * debian/rules:
    + Update get-orig-source target. Assure that always that Git snapshot
      is retrieved that is referenced at the top of the d/changelog file.
  * debian/patches:
    + Disable 0023_src-platforms-Select-GLRenderingProvider-based-on-
      suitability.patch. It causes Lomiri to crash when launching apps.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 16:15:03 +0200

qtmir (0.8.0~git20250407.ea2f477-5) unstable; urgency=medium

  * debian/patches:
    + Add 0023_src-platforms-Select-GLRenderingProvider-based-on-
      suitability.patch. Support Lomiri on Asahi Linux.
    + Add 0030_mirserver-update-for-Mir-2.22.patch, 0031_demos-drop-usage-
      of-deprecated-Descriptors.patch and 0032_mirsurface-add-
      mirror_mode_set_to.patch. Support building and being used with Mir
      2.22.x.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 09:29:18 +0200

qtmir (0.8.0~git20250407.ea2f477-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Bump-minimum-required-CMake-version.patch. Support building with
      CMake 4. (Closes: #1113450).
  * debian/copyright:
    + Update FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 18:41:03 +0200

qtmir (0.8.0~git20250407.ea2f477-3) unstable; urgency=medium

  * debian/patches:
    + Revert "debian/patches: Add 0001_mirserver-cursor-take-Shell-s-rotation-
      into-account.patch. Fix cursor positioning if display is rotated."
    + Revert "debian/patches: Add 0013_src-modules-Address-review-comments-for-
      MirSurface.patch, 0014_src-modules-Set-MirSurface-live-to-false-when-
      tearin.patch, 0015_src-modules-Use-explicit-signal-to-signify-a-
      teardow.patch, 0016_src-modules-Drop-references-before-teardown.patch.
      Address crash-on-close issue for windows with the same APP_ID (causing
      Lomiri shell to crash). This goes together with a changeset in lomiri
      src:pkg."
    + Add 0022_modules-MirSurface-try-to-let-Mir-forceClose-dead-su.patch.
      Attempt at forceClosing dead surfaces.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Aug 2025 16:23:38 +0200

qtmir (0.8.0~git20250407.ea2f477-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_mirserver-cursor-take-Shell-s-rotation-into-account.patch. Fix
      cursor positioning if display is rotated.
    + Add 0009_src-modules-Add-header-for-getpid.patch. Add include for getpid()
      function.
    + Add 0002_src-modules-Re-introduce-lost-workaround-for-font-re.patch.
      Regression fix, fix arbitrary font rendering glitches. (LP:#1583088).
    + Add 0011_src-platforms-Wrap-window-activity-change-in-a-try-c.patch.
      Selecting the active window can lead to a range exception, so avoid a
      crash by wrapping this in a try-catch.
    + Add 0012_src-modules-Partial-revert-of-e73ef71622ad3202b77bf6.patch. Drop
      overzealous code when removing a window.
    + Add 0013_src-modules-Address-review-comments-for-MirSurface.patch,
      0014_src-modules-Set-MirSurface-live-to-false-when-tearin.patch, 0015_src-
      modules-Use-explicit-signal-to-signify-a-teardow.patch, 0016_src-modules-
      Drop-references-before-teardown.patch. Address crash-on-close issue for
      windows with the same APP_ID (causing Lomiri shell to crash). This goes
      together with a changeset in lomiri src:pkg.
    + Trivial rebase of 2003_disable-benchmarks.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Jul 2025 15:21:45 +0200

qtmir (0.8.0~git20250407.ea2f477-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Fix Lomiri shell crashes when connecting an external display.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 17 Apr 2025 21:25:11 +0200

qtmir (0.8.0~git20250319.5ab362a-1) unstable; urgency=medium

  [ Alan Griffiths ]
  * New upstream Git snapshot.
    - src/platforms/mirserver/wrappedwindowmanagementpolicy.cpp: Forward call to
      WindowManagementPolicy::advise_delete_window() to MinimalWindowManager::
      advise_delete_window(). This fixes shell crashes on app closure.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 08:23:01 +0100

qtmir (0.8.0~git20250316.401819c-1) unstable; urgency=medium

  [ Alfred Neumayer ]
  * New upstream Git snapshot.
    - src/modules: Keep shared pointers to subsurfaces around as a
      MirSurfaceItem member. Thanks to Alfred Neumayer.
    - src/modules: Only store QSharedPointers when updatePaintNode is
      complete.
    - src/modules: Avoid a race between the Scene Graph and texture
      provider cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 12:16:50 +0100

qtmir (0.8.0~git20250314.24ef87c-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Set RenderableType to QSurfaceFormat::OpenGLES.
    - Drop server-side decorations Wayland protocol implementation
      (xdgdecoration v1), now provided by Mir 2.20 (also dropping it
      for builds against earlier Mir version as implementation was
      crude and incomplete).
    - Fix subsurface issue with Firefox et al. showing black submenus.
  * debian/{control,rules}:
    + Drop pkgkde_symbolshelper.
  * debian/control:
    + Bump versioned B-Ds on Mir to v2.20.0.
    + Add to B-D: libgbm-dev (reported to Mir maintainer).
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2025 08:29:05 +0100

qtmir (0.8.0~git20250305.794fa12-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Provide required dependencies on libmirserver-dev for building
      e.g. Lomiri without missing-headers-problems in qtmirserver.pc.
  * debian/control:
    + Add D: (libqtmirserver-dev): libmirserver-dev. (Closes: #1099250).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Mar 2025 08:36:53 +0100

qtmir (0.8.0~git20250227.8e417c2-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Support for building against Mir 2.20 and Mir 2.14.1.
  * debian/patches:
    + Drop 0001_rename-content-hub-to-lomiri-content-hub.patch. Applied
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2025 14:46:00 +0100

qtmir (0.8.0~git20240306.de639c3-3) unstable; urgency=medium

  * debian/control:
    + Add to B-D: liblomiri-content-hub-dev (>= 2.0.0).
    + In B-D, switch from pkg-config to pkgconf.
  * debian/patches:
    + Add 0001_rename-content-hub-to-lomiri-content-hub.patch. Adjust to
      renamed (lomiri-)content-hub component.
  * debian/rules:
    + Build with -DWITH_CONTENTHUB=ON.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Sep 2024 22:45:55 +0200

qtmir (0.8.0~git20240306.de639c3-2) unstable; urgency=medium

  * debian/watch:
    + Drop uupdate call.
  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:59:19 +0200

qtmir (0.8.0~git20240306.de639c3-1) unstable; urgency=medium

  * New git snapshot.
  * debian/watch:
    + Obtain Git snapshot from upstream branch /personal/sunweaver/debian-
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Mar 2024 08:16:51 +0100

qtmir (0.8.0~git20240131.2f99df3-1) unstable; urgency=medium

  * New git snapshot
  * debian/patches: Drop upstreamed patches
    - 1001_copyright-header-cleanup.patch
    - 1002_maliit-keyboard.patch
    - 1003_require-miroil-in-pkgconfig-file.patch

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 31 Jan 2024 13:25:09 +0100

qtmir (0.8.0~git20240108.ae0d874-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New git snapshot
  * debian/patches:
    + Refresh patches.

  [ Mike Gabriel ]
  * debian/patches:
    + Forward patches needed by upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Switch from libfontconfig-dev to libfontconfig1-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jan 2024 14:11:44 +0100

qtmir (0.8.0~git20230628.b7803c8-1) unstable; urgency=medium

  * New upstream git snapshot
  * debian/watch: Switch to desktop development branch
  * debian/symbols: Disable symbols for now as we are using git snapshots
    (closes: #1037829)
  * debian/control: Use my new debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 20:53:23 +0200

qtmir (0.8.0~git20230223.bd21224-3) unstable; urgency=medium

  * debian/patches:
    + Add 1003_require-miroil-in-pkgconfig-file.patch. Require miroil in out .pc
      file. Resolved FTBFS in lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 22:35:52 +0100

qtmir (0.8.0~git20230223.bd21224-2) unstable; urgency=medium

  * debian/libqtmirserver2.symbols:
    + Update symbols using pkgkde-symbolshelper. (Closes: #1031961).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 26 Feb 2023 14:57:35 +0100

qtmir (0.8.0~git20230223.bd21224-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Fix crash when unplugging a USB keyboard device.
    - Fix crash when switching from tty7 to tty1..tty6.
    - Fix scaled buffers crashing (i.e. fix HiDPI support).
  * debian/libqtmirserver2.symbols:
    + Update symbols.
  * debian/patches:
    + Add 1002_maliit-keyboard. Always tag maliit-server as
      mir_windowtype_inputmethod.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Feb 2023 21:11:10 +0100

qtmir (0.8.0~git20230215.2ba9390-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/control:
    + Add to B-D: libmirwayland-dev.
    + Add version to B-D: libmirwayland-dev (>= 2.12.0+dfsg-3~). Versions before
      don't pull in libwayland-dev.
  * debian/patches:
    + Trivial rebase of 2003_disable-benchmarks.patch.
    + Add 1001_copyright-header-cleanup.patch. Use uniform spelling of
      copyright holders.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Feb 2023 11:08:00 +0100

qtmir (0.8.0~git20230207.ec35994-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/rules:
    + Don't hard-code architectures with valgrind support. Simply disable
      valgrind if not found in $PATH. (Closes: #1022222).
  * debian/control:
    + Bump to versioned B-D on liblomiri-api-dev (>= 0.2.0).

  [ Marius Gripsgard ]
  * New upstream Git snapshot.
    - Bump lomiri-application-shell API compat level to 28. (Closes: #1030460).

 -- Marius Gripsgard <marius@ubports.com>  Wed, 08 Feb 2023 00:44:49 +0100

qtmir (0.8.0~git20230115.30c2337-3) unstable; urgency=medium

  * debian/.install: Spesify that we only want xwayland desktop & icon
    file in qml-module-qtmir (closes: #1029291)

 -- Marius Gripsgard <marius@ubports.com>  Sun, 22 Jan 2023 05:54:37 +0000

qtmir (0.8.0~git20230115.30c2337-2) unstable; urgency=medium

  * debian/control: Drop mir-pref-framework from qtmir-tests (closes: #1029015)

 -- Marius Gripsgard <marius@ubports.com>  Tue, 17 Jan 2023 22:18:34 +0000

qtmir (0.8.0~git20230115.30c2337-1) unstable; urgency=medium

  * New git snapshot (0.8.0~git20230115.30c2337)
  * debian/*.symbols: Refresh symbols using pkgkde
  * debian/patches: Refresh patch to match new git snapshot
  * debian/copyright: Refresh copyright to match new git snapshot
  * debian/.install: Install x11 desktop file and icon

 -- Marius Gripsgard <marius@ubports.com>  Sun, 15 Jan 2023 20:23:41 +0100

qtmir (0.8.0~git20230109.671f617-3) unstable; urgency=medium

  * Now!!! Really re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 16:45:56 +0100

qtmir (0.8.0~git20230109.671f617-2) experimental; urgency=medium

  * Re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:23:18 +0100

qtmir (0.8.0~git20230109.671f617-1) experimental; urgency=medium

  * Upload to experimental.

  [ Marius Gripsgard ]
  * New git snapshot (based on ubports/focal_-_mir2 branch)
  * debian/*:
    + Bump libqtmirserver soname version to 2
  * debian/control:
    + Bump mir requirement to 2.11 and add miroil-dev as B-D.
  * debian/rules:
    + Build with MIR2 option enabled.
  * debian/watch:
    + Update watch to pull git branch.
  * debian/copyright:
    + Refresh copyright to match new git snapshot
  * debian/*.symbols:
    + Refresh symbols using pkgkde.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update attributions for debian/.
  * debian/changelog:
    + Amend white-space issue.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Jan 2023 08:07:55 +0100

qtmir (0.7.1-3) unstable; urgency=medium

  * [debian/.symbols] Refresh symbols using pkgkde

 -- Marius Gripsgard <marius@ubports.com>  Tue, 03 Jan 2023 10:38:41 +0100

qtmir (0.7.1-2) unstable; urgency=medium

  * debian/rules:
    - Disable valgrind on mipsel due to known issues with valgrind on mipsel

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 12:04:30 +0100

qtmir (0.7.1-1) unstable; urgency=medium

  * New upstream release v0.7.1
  * Drop upstreamed patch:
    - 0001_remove-unused-gmock-fixes.patch
  * Refresh libqtmirserver1 symbols using pkgkde
  * Update copyright to match new upstream release v0.7.1

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 03:25:08 +0100

qtmir (0.7.0-4) unstable; urgency=medium

  * debian/libqtmirserver1.symbols:
    + Update symbols. (Closes: #1021359).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2022 09:20:06 +0200

qtmir (0.7.0-3) unstable; urgency=medium

  * debian/patches:
    + Cherry-picḱ 0001_remove-unused-gmock-fixes.patch. (Closes: #1015133).
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/libqtmirserver1.symbols:
    + Update .symbols for gcc-12 rebuild.
  * debian/copyright:
    + Update copyright attributions for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Oct 2022 21:03:05 +0200

qtmir (0.7.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Update Homepage: field. Use upstream GitLab URL (instead of deprecated
      Github URL).

  [ Marius Gripsgard ]
  * debian/libqtmirserver1.symbols:
    + Refresh symbol file from buildd logs using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 May 2022 23:48:32 +0200

qtmir (0.7.0-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release v0.7.0
  * debian/patches: Drop upstreamed and unneeded patches, refresh patches:
    + Drop upstreamed and unneeded patches:
     - 0001_demo-fix-detecting-running-installed.patch
     - 0002_demos-fix-application-name.patch
     - 1002_drop-cgmanager-dependency.patch
     - 1003_INSTANTIATE_TEST_SUITE.patch
     - 1004_remove-cmake-instructions-that-have-been-moved-into-FindGMock.patch
     - 1005_add-missing-pthread-to-link-target.patch
     - 1006_make-sure-tracepoints-h-exists.patch
     - 1007_make-valgrind-dependency-optional.patch
     - 1008_drop-Werror-enforcement-leave-it-to-configure-option.patch
     - 2001_no-convert-to-gles-test.patch
     - 2004_qml-demo-shell-work-without-ui-toolkit.patch
    + Refreshed patches:
     - 2002_no-requires-provides-check.patch
     - 2003_disable-benchmarks.patch
  * debian/copyright: Update copyright to match new upstream release
  * debian/symbols: Update symbols to match new upstream release
  * debian/control: Drop qtmir-{android/desktop} and use a generic qtmir package
  * debian/control: Add myself as uploader
  * debian/control: Bump required versions for cmake-extras and googletest
  * debian/rules: Clean up rules and remove dual binary build (was for
    android/desktop split)
  * debian/qtmir-tests: Rename paths to match upstream renames
  * debian/control: Add qml-module-lomiri-components as DEP for qtmir-tests

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update more copyright attributions, finalize for upload.
  * debian/control:
    + Improve transitional packages, provide former info on the packages'
      content. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Apr 2022 09:45:49 +0200

qtmir (0.6.1-8) unstable; urgency=medium

  * debian/rules:
    + Comment out DPKG_GENSYMBOLS_CHECK_LEVEL=4. Let's use level 1 (default)
      and receive less build failures. (related to #997464).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/libqtmirserver1.symbols:
    + Update symbols after build with gcc-11. (Closes: #997464).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Nov 2021 21:05:14 +0100

qtmir (0.6.1-7) unstable; urgency=medium

  * debian/libqtmirserver1.symbols:
    + Update for architectures arm64, m68k, mips64el and sh4.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Mar 2021 21:36:52 +0100

qtmir (0.6.1-6) unstable; urgency=medium

  * debian/control:
    + Limit qtmir to linux-any architecture builds.
  * debian/patches:
    + Add 0001_demo-fix-detecting-running-installed.patch,
      0002_demos-fix-application-name.patch. Fix loading demo shell and demo
      client.
    + Add 2004_qml-demo-shell-work-without-ui-toolkit.patch. Make qml-demo-shell
      work without lomiri-ui-toolkit.
  * debian/rules:
    + Move qtmir-demo-shell files to the correct location.
  * debian/qtmir-tests.install:
    + Pick up files for qtmir-demo-shell and qtmir-demo-client from the correct
      location (as moved around by d/rules).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Mar 2021 21:08:51 +0100

qtmir (0.6.1-5) unstable; urgency=medium

  * debian/control:
    + Replace D (qtmir-tests): qtdeclarative5-qtmir-plugin by qml-module-qtmir,
      drop from D (qtmir-tests): autopilot-qt5 and python3-autopilot. (Closes:
      #977134).
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/qtmir-tests.install:
    + Drop DATADIR/qtmir/benachmarks/* from qtmir-tests bin:pkg.
  * debian/patches:
    + Add 2003_disable-benchmarks.patch. No autopilot in Debian, so let's build
      qtmir without dependency on it (i.e. without benchmarks).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Dec 2020 16:32:50 +0100

qtmir (0.6.1-4) unstable; urgency=medium

  * debian/libqtmirserver1.symbols:
    + Update for armel architecture. (Closes: #973423).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 19:56:05 +0100

qtmir (0.6.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1008_drop-Werror-enforcement-leave-it-to-configure-option.patch. Fix
      disabling -Werror via CMake configure option.
  * debian/rules:
    + Build with CMake option '-DWerror=OFF'. (Closes: #973437).
  * debian/libqtmirserver1.symbols:
    + Update after rebuild against Qt 5.15 (amd64 only for now).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 17:45:48 +0100

qtmir (0.6.1-2) unstable; urgency=medium

  * debian/control:
    + Only require valgrind as B-D on architectures where it is available on.
  * debian/patches:
    + Add 1007_make-valgrind-dependency-optional.patch. Make Valgrind an
      optional build dependency.
  * debian/libqtmirserver1.symbols:
    + Update symbols for armhf i386 mipsel ppc64el.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Oct 2020 14:33:37 +0100

qtmir (0.6.1-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #971257).
  * debian/*:
    + Rename bin:pkg qtdeclarative5-qtmir-plugin to qml-module-qtmir.
  * debian/watch:
    + Add file.
  * debian/control:
    + Adjust B-Ds for googletest.
    + Drop B-D libcontent-hub-dev.
    + Drop B-D on libcgmanager-dev. (Package not available in Debian anymore).
    + Drop B-D on libmirclient-dev. Not required anymore with qtmir 0.6.1.
    + Fix dev:pkg name provided by lomiri-app-launch.
    + Fix versioned B-D on lomiri-api-dev. Remnant of Unity8 -> Lomiri
      migration.
    + Update versioned B-D: cmake-extras (>= 1.5-4~).
    + Drop from B-D: qt5-default (meta package).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Add Vcs-*: fields.
    + Assure binNMU'ability between bin:pkgs in this src:pkg.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add B-D pkg-kde-tools.
    + Drop Section: field duplicating global Section: field.
    + Improve LONG_DESCRIPTION fields of two bin:pkgs.
    + Turn bin:pkg qtmir-tests into Multi-Arch: foreign.
    + Move qtmir-tests bin:pkg into section 'libdevel'.
    + Adjust Maintainer: field and Uploaders: field to official upload to
      Debian.
    + Add Debian Qt/KDE Maintainers to Uploaders: field.
  * debian/rules:
    + Add get-orig-source target.
    + Move --fail-missing flag into dh_missing override.
    + Remove build-*/ during dh_clean. Makes build idempotent.
    + Don't build WITH_CONTENTHUB anymore. Obsolete in qtmir 0.6.1.
    + Drop now default --parallel DH build option.
    + Enable all hardening build flags.
    + Build with pkgkde_symbolshelper.
  * debian/patches:
    + Add 1002_drop-cgmanager-dependency.patch. Rip out cgmanager dependent
      code. This has been sanctioned by upstream.
    + Add 1003_INSTANTIATE_TEST_SUITE.patch. Use INSTANTIATE_TEST_SUITE macro,
      rather than deprecated INSTANTIATE_TEST_CASE macro.
    + Add 1004_remove-cmake-instructions-that-have-been-moved-into-
      FindGMock.patch. Drop CMake instructions that have been moved into
      FindGMock of cmake-extras.
    + Add 1005_add-missing-pthread-to-link-target.patch. Add missing -pthread
      linker argument. Probably to hard-coded, but works for now.
    + Add 2001_no-convert-to-gles-test.patch and 2002_no-requires-provides-
      check.patch. Disable tests fiddling around with files in debian/*. Not
      wanted by Debian maintainer.
    + Add 1006_make-sure-tracepoints-h-exists.patch. Make sure tracepoints.h
      exists for building library 'qtmirserver-mirserver'.
    + Add upstream bugs for all 100* patches.
    + Refer to a bug report for Debian-specific patches 200*_*.patch.
  * debian/source/format:
    + Add file.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Rework copyright attributions, use individual-code-file style.
    + Also mention files we remove via patch.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/libqtmirserver1.symbols:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Oct 2020 01:31:45 +0200

qtmir (0.6.0ubuntu5) xenial; urgency=medium

  * Merge Multiscreen branch

  [ Nick Dedekind ]
  * Introduced QtMir API
  * Support for multiple compositors per MirSurface
  * Support multiple screen windows & cursors with qml instantiation
  * Screen configuration API & implementation
  * Removed Unity.Screens
  * Support for workspaces

 -- Marius Gripsgard <marius@ubports.com>  Tue, 02 Jul 2019 01:36:30 +0200

qtmir (0.5.3+ubports1) xenial; urgency=medium

  * Import to ubports

 -- Marius Gripsgard <marius@ubports.com>  Thu, 28 Dec 2017 04:30:55 +0100

qtmir (0.5.3) UNRELEASED; urgency=medium

  * Another no changes rebuild for Mir 1.0

 -- Alan Griffiths <alan.griffiths@canonical.com>  Wed, 27 Sep 2017 18:10:17 -0400

qtmir (0.5.2) UNRELEASED; urgency=medium

  * No changes rebuild for Mir 1.0

 -- Alan Griffiths <alan.griffiths@canonical.com>  Wed, 27 Sep 2017 18:10:17 -0400

qtmir (0.5.1+17.04.20170410-0ubuntu1) zesty; urgency=medium

  [ Alan Griffiths ]
  * Remove legacy of support for older Mir versions.
  * Another pass at separating out the libmirserver dependencies

  [ Daniel d'Andrada ]
  * Make mirKeyboardEventToString() also print modifiers

  [ Gerry Boland ]
  * Decouple QtEventFeeder and ScreensModel, event feeder can rely on
    qGuiApp::screens()

  [ Lukáš Tinkl ]
  * Do not forcefully kill and hide apps, let them handle the SIGTERM

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Mon, 10 Apr 2017 09:39:38 +0000

qtmir (0.5.1+17.04.20170404-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Remove m_tools member
  * EventInfo::store: Store an empty cookie for mir events without
    cookie

  [ Daniel d'Andrada ]
  * Support multiple sessions per Application (LP: #1675448)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Tue, 04 Apr 2017 00:47:22 +0000

qtmir (0.5.1+17.04.20170328-0ubuntu1) zesty; urgency=medium

  [ Alan Griffiths ]
  * MirAL will be correcting another spelling error shortly. Avoid an
    FTBFS when that happens.
  * Compatibility with lp:mir and lp:~alan-griffiths/miral/1.3

  [ Albert Astals Cid ]
  * Remove empty property and move invokable
  * Run ApplicationManager::authorizeSession in the calling thread (LP:
    #1525285)

  [ Andreas Pokorny ]
  * Report and consume exception that may occur on constructing a keymap
    (LP: #1557634)

  [ Daniel d'Andrada ]
  * Ensure the window that got a key down also gets the corresponding
    key up (LP: #1671072)

  [ Gerry Boland ]
  * Don't let a child window go offscreen because its parent moved
  * Add env var equivalent to desktop_file_hint

  [ Lukáš Tinkl ]
  * Raise (activate) windows when an app focus is requested (LP:
    #1672337)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 28 Mar 2017 17:14:50 +0000

qtmir (0.5.1+17.04.20170320.1-0ubuntu1) zesty; urgency=medium

  [ Alan Griffiths ]
  * Reduce dependencies on mirserver by reworking
    ../Application/mirbuffersgtexture.cpp and
    ../Application/surfacemanager.cpp

  [ Andreas Pokorny ]
  * Attach MirInputDeviceId and the MirCookie to input events (LP:
    #1536279, #1668692)

  [ Daniel d'Andrada ]
  * Implement MirSurface::allowClientResize (LP: #1670390)

  [ Gerry Boland ]
  * Stop MirSurface deleting itself, ensure SurfaceManager alone manages
    MirSurface lifetimes. Add SurfaceManager test suite. (LP: #1655644)
  * Extend timeouts when running under valgrind

  [ Albert Astals Cid, Gerry Boland ]
  * Check for find() result not being null before using it

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 20 Mar 2017 21:16:34 +0000

qtmir (0.5.1+17.04.20170307-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Fix clang build

  [ Daniel d'Andrada ]
  * Some qtmir::Session fixes
  * Make TaskController absorb SessionManager
  * Don't pass command line arguments to Mir
  * Reduce default log verbosity (LP: #1664151)
  * DBusFocusInfo: fix crash when trying to access a null session from
    an application (LP: #1670710)

  [ Gerry Boland ]
  * Workaround for Mir changing GL state unexpectedly on Qt, breaking
    font rendering. (LP: #1583088)

  [ Lukáš Tinkl ]
  * Use the shell chrome, as provided by miral window info (LP:
    #1658117)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Tue, 07 Mar 2017 23:43:16 +0000

qtmir (0.5.1+17.04.20170221-0ubuntu1) zesty; urgency=medium

  * Handle ubuntu-app-launch API bump to version 3

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Feb 2017 13:21:58 +0000

qtmir (0.5.1+17.04.20170215.1-0ubuntu1) zesty; urgency=medium

  [ Michał Sawicz ]
  * We're at provides 26 already (LP: #1662608)

  [ Alan Griffiths ]
  * Identify the code that depends directly on mirserver-dev headers

  [ Albert Astals Cid ]
  * Check we provide the same unity-application-impl that we require

  [ Daniel d'Andrada ]
  * Resolve mir cursor names using mir symbols instead of plain strings
    (LP: #1662827)

  [ Gerry Boland ]
  * ScreenModel: Only expose windows on displays that are turned on (LP:
    #1521403, #1638611, #1656250)
  * Restore lost LTTng tracepoints, and delete unused ones (LP:
    #1658084)

  [ Nick Dedekind ]
  * Added Extended Display Information Data (EDID) parsing.

  [ Alan Griffiths, Nick Dedekind ]
  * Iteration 0 of miral::PersistDisplayConfig. This does nothing yet
    (and breaks nothing in the process). This MP creates a place (miral-
    prototypes) to build prototype miral features and sketches out what
    will need to be implemented for PersistDisplayConfig. (LP: #1644189)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 15 Feb 2017 13:23:17 +0000

qtmir (0.5.1+17.04.20170206-0ubuntu2) zesty; urgency=medium

  * Update unity-application-impl Provides to -26, which was forgotten before.
    This should stop unity8-tests being pulled in on upgrades (which is a
    component-mismatch), and should restore unity8 to the desktop images. (LP:
    #1662608)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 15 Feb 2017 12:43:39 +0000

qtmir (0.5.1+17.04.20170206-0ubuntu1) zesty; urgency=medium

  [ Daniel d'Andrada ]
  * WindowManagementPolicy: Avoid activating windows unnecessarily
  * MirSurface: Make frame dropper work even when there's no texture
    around
  * Changes need for child windows support (LP: #1656727)
  * Fix initialSurfaceSize

 -- Albert Astals Cid <albert.astals@canonical.com>  Mon, 06 Feb 2017 09:11:47 +0000

qtmir (0.5.1+17.04.20170127-0ubuntu1) zesty; urgency=medium

  * Mir 0.26 compatibility branch for QtMir.

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Fri, 27 Jan 2017 04:56:16 +0000

qtmir (0.5.1+17.04.20170124-0ubuntu1) zesty; urgency=medium

  [ Gerry Boland ]
  * Recalculate MirSurface.visible after first frame swap by client (LP:
    #1649077)

  [ Lukáš Tinkl ]
  * Some assorted cleanups and small optimizations
  * Apply default device keymap (LP: #1626435)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 24 Jan 2017 07:38:05 +0000

qtmir (0.5.1+17.04.20170110.1-0ubuntu1) zesty; urgency=medium

  [ Timo Jyrinki ]
  * Specify C++14 in a more CMake-ish way (LP: #1653902)

  [ Pete Woods ]
  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Tue, 10 Jan 2017 06:42:41 +0000

qtmir (0.5.1+17.04.20170104-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Specify C++14 in a more CMake-ish way (LP: #1653902)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Wed, 04 Jan 2017 13:46:29 +0000

qtmir (0.5.1+17.04.20161216-0ubuntu2) zesty; urgency=medium

  * No-change rebuild against latest miral.

 -- Ĺukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 21 Dec 2016 10:07:36 +0100

qtmir (0.5.1+17.04.20161216-0ubuntu1) zesty; urgency=medium

  [ Gerry Boland ]
  * First release using MirAL

  [ Daniel d'Andrada ]
  * Get rid of the ApplicationManager::Factory class
  * Enable tests in Xenial

 -- Daniel d'Andrada <daniel.dandrada@canonical.com>  Fri, 16 Dec 2016 08:25:00 +0000

qtmir (0.5.0+17.04.20161203-0ubuntu1) zesty; urgency=medium

  * Mir 0.25 compat

 -- Brandon Schaefer <brandon.schaefer@canonical.com>  Sat, 03 Dec 2016 12:38:04 +0000

qtmir (0.5.0+17.04.20161123.3-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Build with Qt 5.7 (LP: #1642608, #1642954)

  [ Gerry Boland ]
  * Fix FTBFS due to new googletest framework release (1.8)
  * Revert Lttng test-crash workaround from rev 557

  [ Jonas G. Drange ]
  * relax auth of clients to allow USS to set base mir display config

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 23 Nov 2016 20:46:06 +0000

qtmir (0.4.8+17.04.20161024-0ubuntu1) zesty; urgency=medium

  [ Andrea Bernabei ]
  * Add missing default return value to qImageFormatFromMirPixelFormat

  [ Michael Zanetti ]
  * don't lose resize events that come in while the app is suspended

  [ Nick Dedekind ]
  * Close windows in reverse order. (LP: #1622717)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 24 Oct 2016 11:32:53 +0000

qtmir (0.4.8+16.10.20160909-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Send relative pointer movement to Mir clients (LP: #1597205)
  * Implement cursor confinement (LP: #1590099)

  [ Gerry Boland ]
  * Deliver mouse event manually if no cursor exists to deliver it
  * [tests] refactor ScreensModel test to use mocks from mirtest-dev

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 09 Sep 2016 14:40:56 +0000

qtmir (0.4.8+16.10.20160906-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Don't occlude newly created surfaces until some time has passed (LP:
    #1620297)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 06 Sep 2016 18:31:26 +0000

qtmir (0.4.8+16.10.20160831-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * DBusFocusInfo: added isSurfaceFocused(serializedId)
  * Use content-hub for clipboard services (LP: #1471998)
  * Don't link tests against LTTng

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 31 Aug 2016 01:52:12 +0000

qtmir (0.4.8+16.10.20160826.1-0ubuntu3) xenial; urgency=medium

  [ Vicamo Yang  ]
  * Build qtmir-android on arm64 for the need of valid libqpa-mirserver.so for
    ubuntu phone xenial arm64 porting.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 30 Aug 2016 09:44:35 +0200

qtmir (0.4.8+16.10.20160826.1-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * DBusFocusInfo.isPidFocused: search sessions recursively (LP:
    #1612166)

  [ Michał Sawicz ]
  * Revert r538 that's causing a unity8 crash when launching emergency
    dialer over greeter (LP: #1616842)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 26 Aug 2016 10:43:18 +0000

qtmir (0.4.8+16.10.20160819-0ubuntu1) yakkety; urgency=medium

  * No change rebuild for UAL ABI change

 -- Ted Gould <ted@gould.cx>  Fri, 19 Aug 2016 14:38:12 +0000

qtmir (0.4.8+16.10.20160816.1-0ubuntu1) yakkety; urgency=medium

  * compatibility changes for mir 0.24.0

 -- Kevin DuBois <kevin.dubois@canonical.com>  Tue, 16 Aug 2016 11:41:40 +0000

qtmir (0.4.8+16.10.20160810-0ubuntu1) yakkety; urgency=medium

  [ Alan Griffiths ]
  * Reduce MirServer to an implementation detail of QMirServer (nothing
    else needs to touch it).

  [ Albert Astals Cid ]
  * Improvements from running clazy over the code
  * Compile with clang

  [ Daniel d'Andrada ]
  * Remove Application.stage and RoleStage from ApplicationManager

  [ Daniel van Vugt ]
  * Fix incorrect mouse wheel/touchpad scrolling scale (LP: #1607240)
    (LP: #1607223, #1607240)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 10 Aug 2016 06:53:16 +0000

qtmir (0.4.8+16.10.20160730-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Fix memory leak in application_test

  [ Daniel d'Andrada ]
  * Ensure different cursor names for consecutive custom cursor changes
    (LP: #1604701, #1605078)
  * Remove com.canonical.Unity.WindowStack D-Bus service

  [ Gerry Boland ]
  * Dump core if Mir fails to start in time - dump will help us see
    where Mir blocked (LP: #1537389)
  * Tests: AppManTest: use stack instead of heap when possible, better
    cleanup of resources
  * AppMan: queue the onProcessStarting slot, as processStarting blocks
    ubuntu-app-launch from executing the process.

  [ Marco Trevisan (Treviño) ]
  * ScreenWindow: handle window activated when exposing it (LP:
    #1590060)

  [ Nick Dedekind ]
  * Re-added occlusion detection (LP: #1475678)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Sat, 30 Jul 2016 21:21:32 +0000

qtmir (0.4.8+16.10.20160714-0ubuntu2~2) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sun, 24 Jul 2016 17:56:42 +0300

qtmir (0.4.8+16.10.20160714-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Implement MirSurface::inputBounds and make use of mir's input region

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 14 Jul 2016 07:08:37 +0000

qtmir (0.4.8+16.10.20160712-0ubuntu1) yakkety; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Build the qtmir-android package for arm64 as well.

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Tue, 12 Jul 2016 13:39:51 +0000

qtmir (0.4.8+16.10.20160705.2-0ubuntu1) yakkety; urgency=medium

  [ Michał Sawicz ]
  * Don't use root dbus path (LP: #1599145)

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Tue, 05 Jul 2016 19:29:43 +0000

qtmir (0.4.8+16.10.20160704.1-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * com.canonical.Unity.FocusInfo D-Bus service for providing focus
    information

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Mon, 04 Jul 2016 13:58:19 +0000

qtmir (0.4.8+16.10.20160614-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Add support for compiler sanitizers via ECM
  * Compile with -fsanitize=undefined
  * Fix leak in ScreensModelTest (LP: #1585502)
  * Fix leak in SessionManager test (LP: #1585498)
  * Remove unused m_sessions member
  * Add missing breaks
  * Initialize m_lastX and m_lastY
  * Initialize m_sessionId
  * Give the locker a name
  * Fix memory leak in QtEventFeederTest (LP: #1585503)
  * Fix leaks in application_manager_test (LP: #1585501)

  [ Daniel d'Andrada ]
  * Improve Session debug logging
  * MirSurfaceListModel: prepending a surface always causes
    firstChanged() emission

  [ Gerry Boland ]
  * Release temporary GL context ASAP, fixes QtMir on X11. Add some
    hotpath branching hints (LP: #1588921)

  [ Michael Zanetti ]
  * Adding ApplicationInfo::surfaceCount property

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 14 Jun 2016 08:38:00 +0000

qtmir (0.4.8+16.10.20160606.1-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Add support for compiler sanitizers via ECM
  * Compile with -fsanitize=undefined
  * Fix leak in ScreensModelTest (LP: #1585502)
  * Fix leak in SessionManager test (LP: #1585498)
  * Remove unused m_sessions member
  * Add missing breaks
  * Initialize m_lastX and m_lastY
  * Initialize m_sessionId
  * Give the locker a name
  * Fix memory leak in QtEventFeederTest (LP: #1585503)
  * Fix leaks in application_manager_test (LP: #1585501)

  [ Daniel d'Andrada ]
  * Improve Session debug logging
  * MirSurfaceListModel: prepending a surface always causes
    firstChanged() emission

  [ Michael Zanetti ]
  * Adding ApplicationInfo::surfaceCount property

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 06 Jun 2016 15:45:57 +0000

qtmir (0.4.8+16.10.20160602-0ubuntu1) yakkety; urgency=medium

  * rebuild for mir 0.23

 -- Kevin DuBois <kdub432@gmail.com>  Thu, 02 Jun 2016 16:50:58 +0000

qtmir (0.4.8+16.10.20160525.2-0ubuntu1) yakkety; urgency=medium

  [ Alan Griffiths ]
  * Drop the (unused) prototype Window Management code
  * Remove workaround for lp:1502200 (LP: #1502200)

  [ Albert Astals Cid ]
  * Enable workaround_brokenFBOReadBack on various chipsets (LP:
    #1581123)

  [ Daniel d'Andrada ]
  * Bump unity-api versions
  * Fix mir::scene::Surface focus attribute updates

 -- Michael Terry <michael.terry@canonical.com>  Wed, 25 May 2016 13:54:56 +0000

qtmir (0.4.8+16.10.20160520.1-0ubuntu1) yakkety; urgency=medium

  [ Alan Griffiths ]
  * Reduce coupling to MirServer - it has  been misused as a context
    object.

  [ Daniel d'Andrada ]
  * Also interpret the cursor names used by Mir client API (LP:
    #1447839)
  * Application: Don't respawn if closed while still starting up (LP:
    #1575577)

  [ Daniel d'Andrada, Michał Sawicz ]
  * Centralize logging categories

  [ Gerry Boland ]
  * UAL can throw on creating Application if invalid appId, catch
    instead of aborting (LP: #1578258)

  [ Timo Jyrinki ]
  * Use FindQt5PlatformSupport to find platform support, other methods
    not available on Qt 5.6 anymore. (LP: #1554404)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 20 May 2016 08:41:51 +0000

qtmir (0.4.8+16.04.20160518.1-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Fix ProxySurfaceListModel::countChanged signal

  [ Daniel d'Andrada, Michał Sawicz ]
  * Move prompt surfaces from MirSurface to Application and emit
    firstChanged signal

 -- Nick Dedekind <ci-train-bot@canonical.com>  Wed, 18 May 2016 11:18:33 +0000

qtmir (0.4.8+16.04.20160511-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Session: Add a blank surface to the public list if it already has
    child prompt surfaces (LP: #1578665)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 11 May 2016 09:08:29 +0000

qtmir (0.4.8+16.04.20160429.1-0ubuntu1) xenial; urgency=medium

  [ Gerry Boland, Michał Sawicz, Nick Dedekind ]
  * Enhance ScreenController & the DisplayConfigurationPolicy to
    implement dynamic grid units. (LP: #1573532)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 29 Apr 2016 20:04:55 +0000

qtmir (0.4.8+16.04.20160428-0ubuntu1) xenial; urgency=medium

  [ Lukáš Tinkl ]
  * Regression fix: restore window title handling (LP: #1563522)

  [ Michael Terry ]
  * Use latest UbuntuAppLaunch API which supports libertine apps.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 28 Apr 2016 12:48:51 +0000

qtmir (0.4.8+16.04.20160426-0ubuntu1) xenial; urgency=medium

  * Mir 0.22 compatibility

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Tue, 26 Apr 2016 07:20:39 +0000

qtmir (0.4.8+16.04.20160413-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Application: improve debug logging
  * Logging of Qt's OpenGL debug messages now must be enabled via CMake
    option
  * MirSurface: replace keymapLayout and keymapVariant with keymap
  * Remove application screenshot provider
  * Surface-based window management

  [ Michał Sawicz, Robert Bruce Park ]
  * Inline -gles packaging.

 -- Gerry Boland <ci-train-bot@canonical.com>  Wed, 13 Apr 2016 18:38:59 +0000

qtmir (0.4.8+16.04.20160330-0ubuntu1) xenial; urgency=medium

  * Drop leftover Xs-Testsuite header

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 30 Mar 2016 22:53:20 +0000

qtmir (0.4.8+16.04.20160329.1-0ubuntu1) xenial; urgency=medium

  [ Daniel van Vugt ]
  * Don't use preferred_mode_index. Some devices like TVs don't provide
    a preferred mode, so preferred_mode_index may be out of range (a
    clumsy way to represent 'none'). Instead use the resolution of the
    current display mode, which should always be in range. (LP:
    #1560497)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 29 Mar 2016 19:24:13 +0000

qtmir (0.4.8+16.04.20160322.1-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Added Application::setStage

  [ Lukáš Tinkl, Michał Sawicz ]
  * Support for switching keyboard layouts (LP: #1524400, #1491340)

  [ Lukáš Tinkl, Michał Sawicz, Nick Dedekind ]
  * Add support for low shell chrome. (LP: #1535397)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Tue, 22 Mar 2016 16:18:06 +0000

qtmir (0.4.7+16.04.20160310.1-0ubuntu1) xenial; urgency=medium

  [ Alan Griffiths ]
  * Copy the Window Management work-in-progress from Mir examples.

  [ Alberto Aguirre ]
  * Hook MirOpenGLContext::doneCurrent to Screen::doneCurrent

  [ Daniel d'Andrada ]
  * Ensure QmlEngine doesn't delete our MirSurfaces

  [ Gerry Boland ]
  * Allow Mir remove command line arguments it understands, before
    letting Qt process them.
  * Ensure ScreenWindow geometry correctly set and used after moving
    Screen (LP: #1545286)
  * Screen: only enable orientation sensor for internal display. (LP:
    #1545286)

  [ Michael Terry ]
  * Fix some mocks to use more realistic code paths.

  [ Michael Zanetti ]
  * Add a dedicated property for the inputMethodSurface (LP: #1545286)

  [ Michał Sawicz ]
  * Drop dummy autopkgtest

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 10 Mar 2016 09:29:49 +0000

qtmir (0.4.7+16.04.20160219-0ubuntu1) xenial; urgency=medium

  * Mir 0.20 Release

 -- Alan Griffiths <ci-train-bot@canonical.com>  Fri, 19 Feb 2016 10:41:19 +0000

qtmir (0.4.7+16.04.20160212-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Provide branch prediction information to the if in compressTimestamp
  * Reset start time if the timestamp travels to the past (LP: #1524488)

  [ Daniel d'Andrada ]
  * Let shell decide the initial surface size (LP: #1532974)
  * Remove the useless TaskController
  * Surface Size Hints
  * Update mir version requirement

  [ Michał Sawicz ]
  * Bump unity-api dependencies
  * Use QStandardPaths to determine QML cache location

  [ Nick Dedekind ]
  * Moved test framework into a static library for quicker
    recompilation.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 12 Feb 2016 00:07:26 +0000

qtmir (0.4.7+16.04.20160208-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Added fix and test for closing app during the StoppedResumable
    state. (LP: #1541388)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 08 Feb 2016 09:36:17 +0000

qtmir (0.4.7+16.04.20160127.1-0ubuntu1) xenial; urgency=medium

  * Changes for mir 0.19.

 -- Brandon Schaefer <ci-train-bot@canonical.com>  Wed, 27 Jan 2016 21:42:31 +0000

qtmir (0.4.7+16.04.20160122-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Fixed issue where stopping the session while suspending was causing
    app close to stall. (LP: #1536133)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 22 Jan 2016 16:54:39 +0000

qtmir (0.4.7+16.04.20160104-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Update Session.fullscreen properties at the right time (LP:
    #1525893)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 04 Jan 2016 09:38:12 +0000

qtmir (0.4.7+16.04.20151222-0ubuntu1) xenial; urgency=medium

  * No-change rebuild to get -gles in sync

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 22 Dec 2015 15:29:49 +0000

qtmir (0.4.7+16.04.20151217-0ubuntu1) xenial; urgency=medium

  [ Andreas Pokorny ]
  * compatibility branch for Mir 0.18

  [ Cemil Azizoglu ]
  * compatibility branch for Mir 0.18

  [ Kevin DuBois ]
  * compatibility branch for Mir 0.18

 -- Kevin DuBois <kevin.dubois@canonical.com>  Thu, 17 Dec 2015 12:01:56 +0000

qtmir (0.4.7+16.04.20151210-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * [ Nick Dedekind ]
  * Request app closing rather than killing.

  [ Daniel d'Andrada ]
  * Add MirSurfaceItem.fillMode and ensure items and buffer are in sync
  * Make Session hold multiple surfaces

  [ Michael Terry ]
  * Don't hold a wakelock on apps that are exempt from lifecycle
    management. (LP: #1518764)

  [ Michał Sawicz ]
  * Add MirSurfaceItem.fillMode and ensure items and buffer are in sync
  * Don't hold a wakelock on apps that are exempt from lifecycle
    management. (LP: #1518764)

 -- Gerry Boland <ci-train-bot@canonical.com>  Thu, 10 Dec 2015 13:08:47 +0000

qtmir (0.4.6+16.04.20151125-0ubuntu2) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 16:16:06 +0200

qtmir (0.4.6+16.04.20151125-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Forward Mir mouse wheel events to the shell cursor (LP: #1497091)
  * Implemented support for cursors set by client surfaces
  * Revert revision 415

  [ Gerry Boland ]
  * Manage frameSwapped signal/slot connection with MirSurface more
    strictly to avoid crash. (LP: #1517571)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 25 Nov 2015 15:38:57 +0000

qtmir (0.4.6+16.04.20151119-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Build with clang (tests/gmock fails and is unfixable on our side i'd
    say)
  * Enable Efficient String Construction by default

  [ Gerry Boland ]
  * Fix use of uninitialized variable
  * Use pid_t for PIDs.

  [ Loïc Molinari ]
  * Ensured Mir surface items with size less than or equal to zero are
    not rendered, as it's usually done for standard QtQuick items.

  [ Michał Sawicz ]
  * Build with clang (tests/gmock fails and is unfixable on our side i'd
    say)

  [ Nick Dedekind ]
  * Fix a crash when dropping a surface frame before Qt draws a surface
    item. (LP: #1517139)

 -- Gerry Boland <ci-train-bot@canonical.com>  Thu, 19 Nov 2015 12:56:17 +0000

qtmir (0.4.6+16.04.20151113-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Update surface textures when dropping frames. (LP: #1515356)

 -- Gerry Boland <ci-train-bot@canonical.com>  Fri, 13 Nov 2015 16:42:38 +0000

qtmir (0.4.6+16.04.20151112-0ubuntu1) xenial; urgency=medium

  * Fix armhf builds on Xenial by using -std=gnu99 instead of c99

 -- Gerry Boland <ci-train-bot@canonical.com>  Thu, 12 Nov 2015 16:26:27 +0000

qtmir (0.4.6+16.04.20151110-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Reverted occlusion detection (lp#1514556) (LP: #1514556)

 -- Gerry Boland <ci-train-bot@canonical.com>  Tue, 10 Nov 2015 09:19:59 +0000

qtmir (0.4.6+16.04.20151102-0ubuntu1) xenial; urgency=medium

  [ Alan Griffiths ]
  * Test harness for MirWindowManager (in preparation for more
    intelligent window management)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Terry ]
  * Support new isTouchApp property to ApplicationInfoInterface and move
    lifecycle policy logic out of qtmir.

  [ Michał Sawicz ]
  * Clean up packaging and fix autopkgtest on armhf

  [ Nick Dedekind ]
  * Hand Qt millisecond timestamps rather than nanosecond. (LP:
    #1510571, #1511076, #1511711)
  * Support server->client visibility change to stop rendering
    (lp:#1475678) (LP: #1475678)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 02 Nov 2015 11:22:29 +0000

qtmir (0.4.6+15.10.20151021-0ubuntu1) wily; urgency=medium

  [ Alan Griffiths ]
  * Opaquify MirWindowManager to control visibility of upcoming Window
    Management work

  [ Albert Astals Cid ]
  * Don't search for the element again

  [ CI Train Bot ]
  * New rebuild forced.

  [ Daniel d'Andrada ]
  * Improve multimonitor support
  * MirSurfaceItem: Survive holding a surface with an empty texture
  * Shell draws its own cursor using the new Cursor QML element

  [ Gerry Boland ]
  * Initial multimonitor support - react correctly to Mir
    DisplayConfiguration changes. (LP: #1488831, #1488863, #1436735)
  * Workaround for AutoPilot input coordinate positioning being outside
    screen geometry

  [ Lukáš Tinkl ]
  * Implement support for mouse wheel events; correctly pass around
    buttons (LP: #1497091)
  * React to surface modifications (window caption)

  [ Michał Sawicz ]
  * Improve multimonitor support
  * MirSurfaceItem: Survive holding a surface with an empty texture
  * React to surface modifications (window caption)

  [ Nick Dedekind ]
  * Added touch performance tracing and test.
  * Removed the manipulation of the CMAKE_INSTALL_PREFIX from
    debian/rules

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 21 Oct 2015 11:47:16 +0000

qtmir (0.4.6+15.10.20151008.2-0ubuntu1) wily; urgency=medium

  [ Alexandros Frantzis ]
  * Update for Mir 0.17 changes

  [ CI Train Bot ]
  * New rebuild forced.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 08 Oct 2015 17:56:00 +0000

qtmir (0.4.6+15.10.20150930.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Daniel d'Andrada ]
  * MirSurfaceItem: texture must be manipulated only from the scene
    graph thread (LP: #1499388, #1495871)

  [ Gerry Boland ]
  * Add "Closing" state to Application, use it to distinguish user-
    induced close from app-induced close. Don't clear QML cache if user-
    induced. (LP: #1500372)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 30 Sep 2015 10:08:37 +0000

qtmir (0.4.6+15.10.20150925-0ubuntu1) wily; urgency=medium

  * Bump application API version

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 25 Sep 2015 12:11:11 +0000

qtmir (0.4.6+15.10.20150923-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Cemil Azizoglu ]
  * Port gl_bind_to_texture to the new TextureSource interface. Update
    for Mir 0.16 release.

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Wed, 23 Sep 2015 15:17:13 +0000

qtmir (0.4.6+15.10.20150918-0ubuntu1) wily; urgency=medium

  [ Daniel d'Andrada ]
  * Update surface focus when a surface enters or leaves a
    MirSurfaceItem (LP: #1491034, #1495437)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 18 Sep 2015 20:11:52 +0000

qtmir (0.4.6+15.10.20150914-0ubuntu1) wily; urgency=medium

  [ Daniel d'Andrada ]
  * MirSurfaceItem gets dirty when it's set to draw a different (or no)
    surface (LP: #1492185)
  * QtEventFeeder: log the pointer events it gets from Mir

  [ Daniel van Vugt ]
  * Stop waking up every 200ms if there's nothing to wake up for. It's
    just wasting battery. (LP: #1479250)

 -- Gerry Boland <ci-train-bot@canonical.com>  Mon, 14 Sep 2015 13:11:56 +0000

qtmir (0.4.6+15.10.20150904-0ubuntu1) wily; urgency=medium

  [ Michal Sawicz ]
  * No change rebuild to resync vivid+overlay and wily

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 04 Sep 2015 10:40:35 +0000

qtmir (0.4.6+15.04.20150827.1-0ubuntu1) vivid; urgency=medium

  [ Daniel d'Andrada ]
  * Enable multiple MirSurfaceItems rendering the same MirSurface
  * Allow resizing an app that is in the process of getting suspended.
    (LP: #1466510)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 27 Aug 2015 13:58:54 +0000

qtmir (0.4.5+15.10.20150817-0ubuntu1) wily; urgency=medium

  *

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 17 Aug 2015 19:28:26 +0000

qtmir (0.4.5+15.10.20150812.1-0ubuntu1) vivid; urgency=medium

  [ Daniel van Vugt ]
  * MirSurfaceItem: Remove an unnecessary and potentially infinite loop
    (LP: #1477430) (LP: #1477430)

  [ Gerry Boland ]
  * Standardize licences to LGPLv3, update years, remove authors (LP:
    #1483664)
  * authorizeSession incorrectly edits desktopFilePath supplied by
    desktop_file_hint (LP: #1483225)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 12 Aug 2015 11:36:06 +0000

qtmir (0.4.5+15.10.20150804.1-0ubuntu1) vivid; urgency=medium

  * Dual release with wily

 -- Gerry Boland <gerry.boland@canonical.com>  Tue, 04 Aug 2015 17:21:12 +0000

qtmir (0.4.5+15.04.20150821-0ubuntu1) vivid; urgency=medium

  [ Daniel d'Andrada ]
  * Improve handling of applications that are stopping or getting killed
    (LP: #1483840, #1485608)

  [ Gerry Boland ]
  * AppMan: if app destroys surface while in Running state, it is
    probably shutting down, so preempt it by removing it from the model

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 21 Aug 2015 11:40:14 +0000

qtmir (0.4.5+15.04.20150820-0ubuntu1) vivid; urgency=medium

  [ Gerry Boland ]
  * Hotfix to work around bug 1483752 (LP: #1483752)

  [ Michael Zanetti ]
  * Hotfix to work around bug 1483752 (LP: #1483752)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 20 Aug 2015 12:59:54 +0000

qtmir (0.4.5+15.10.20150804.1-0ubuntu1) wily; urgency=medium

  [ Alan Griffiths ]
  * Start restructuring code to use the Mir WindowManager interface for
    window management. (Instead of completely replacing the Shell.)

  [ Andreas Pokorny ]
  * ensure the argv passed to mir is a null terminated list (not a
    nullptr)

  [ Daniel d'Andrada ]
  * Remove focus-based app lifecycle. Let shell control it.
  * Remove focus-based app lifecycle. Let shell control it.

  [ Daniel van Vugt ]
  * ensure the argv passed to mir is a null terminated list (not a
    nullptr)

  [ Gerry Boland ]
  * CMake should require mir 0.14
  * Ubuntu Touch has no shared graphics cache implemented, QPA should
    not say it does
  * We depend on Qt 5.4, remove compatibility code for older versions

  [ Lukáš Tinkl ]
  * Extend the key table to cover full xkb range of keycodes.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 04 Aug 2015 17:21:12 +0000

qtmir (0.4.5+15.10.20150728-0ubuntu2~gcc5.1) wily; urgency=medium

  * No change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jul 2015 15:04:01 +0200

qtmir (0.4.5+15.10.20150728-0ubuntu1) wily; urgency=medium

  [ Gerry Boland ]
  * Remove explicit gcc4.9 dependency (LP: #1452338)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 28 Jul 2015 09:57:00 +0000

qtmir (0.4.5+15.10.20150722-0ubuntu1) wily; urgency=medium

  [ Andreas Pokorny ]
  * Release in step with Mir 0.14.0

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Jul 2015 13:01:05 +0000

qtmir (0.4.5+15.10.20150617-0ubuntu1) wily; urgency=medium

  [ Gerry Boland ]
  * [qpa] refactor QMirServer to clean up its API, and fix strange
    thread design.

  [ Michał Sawicz ]
  * Depend on same-version qtmir-{desktop,android}

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 13:46:09 +0000

qtmir (0.4.5+15.10.20150611-0ubuntu2) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 15 Jun 2015 12:31:38 +0300

qtmir (0.4.5+15.10.20150611-0ubuntu1) wily; urgency=medium

  [ Daniel d'Andrada ]
  * Add X-Ubuntu-Supported-Orientations desktop file entry

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 11 Jun 2015 09:10:38 +0000

qtmir (0.4.4+15.04.20150513-0ubuntu1) vivid; urgency=medium

  [ Alan Griffiths ]
  * Release in step with Mir 0.13.0

  [ Daniel van Vugt ]
  * Release in step with Mir 0.13.0

  [ Gerry Boland ]
  * Release in step with Mir 0.13.0

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 13 May 2015 09:44:12 +0000

qtmir (0.4.4+15.04.20150511.1-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Fix debug line

  [ Daniel d'Andrada ]
  * When synthesizing touch releases for absent touches, send them in
    separate events (LP: #1437357)

  [ Gerry Boland ]
  * If Mir fails to start, exit the process immediately as nothing else
    can be done
  * Remove boost dependence, it supplies almost nothing of benefit to
    offset its cost
  * Remove legacy surface configuration change code, use newer
    SurfaceObserver
  * Remove useless profiling information, fixes build with Qt5.5 (LP:
    #1437181)

  [ Michael Zanetti ]
  * read exception list from gsettings instead of a hardcoded list

  [ Michał Sawicz ]
  * Require an application API version, fix the provided version and use
    include dir from the .pc file

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 11 May 2015 13:16:33 +0000

qtmir (0.4.4+15.04.20150318-0ubuntu1) vivid; urgency=medium

  [ Daniel d'Andrada ]
  * Port to the new MirEvent API and add support for pointer events.
    (LP: #1417650, #1392716)

  [ Gerry Boland ]
  * Refactor wakelock handling. Lifecycle exempt apps now release
    wakelock when shell tries to suspend them (LP: #1423787)

  [ Robert Carr ]
  * Port to the new MirEvent API and add support for pointer events.
    (LP: #1417650, #1392716)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 18 Mar 2015 10:12:22 +0000

qtmir (0.4.4+15.04.20150317-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Make the test pass with Qt >= 5.4.1 (LP: #1427529)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 17 Mar 2015 18:01:53 +0000

qtmir (0.4.4+15.04.20150227.1-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Kevin DuBois ]
  * No change rebuild for mir 0.12

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Feb 2015 18:53:32 +0000

qtmir (0.4.4+15.04.20150220-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Don't start timer from the thread it doesn't belong to

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 20 Feb 2015 10:33:30 +0000

qtmir (0.4.4+15.04.20150209-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 13:05:26 +0200

qtmir (0.4.4+15.04.20150209-0ubuntu1) vivid; urgency=medium

  [ Daniel van Vugt ]
  * QtMir changes required to support the Mir branch of the same name.
    Landing soon. (LP: #1395581)

  [ Alan Griffiths ]
  * Port to the msh::Shell API in Mir

  [ Robert Carr ]
  * Bump build-dep to mir 0.11.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Feb 2015 16:29:08 +0000

qtmir (0.4.4+15.04.20150206-0ubuntu1) vivid; urgency=medium

  [ Gerry Boland ]
  * Explicitly setting GL-mode breaks GTK app rendering. Removing the
    hack appears to just work (LP: #1401968)

  [ Michał Sawicz ]
  * Add moot autopkgtest to run the standard unit tests

  [ Albert Astals Cid ]
  * Fix demo shell import name

  [ Daniel d'Andrada ]
  * Don't suspend&resume the main stage app when switching focus from
    side to main stage

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Feb 2015 10:23:19 +0000

qtmir (0.4.4+15.04.20150115-0ubuntu1) vivid; urgency=low

  [ Gerry Boland ]
  * Add Wakelock support - ensures device drops to deep-sleep mode only
    when all AppMan suspend tasks have completed

  [ Ricardo Mendoza ]
  * Reduce suspend timeout to half of the previous value because the
    long value was too apparent on fast paced apps, like web games of
    music players; it broke the user experience according to design.
    (LP: #1402650)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 Jan 2015 15:19:46 +0000

qtmir (0.4.4+15.04.20150114-0ubuntu1) vivid; urgency=low

  [ Gerry Boland ]
  * Depend on :native version of g++ to allow cross-compiling to work.
    (LP: #1353855)

  [ Michał Sawicz ]
  * Declare the QByteArray in callDispatcher so it doesn't get deleted
    before it's copied. (LP: #1408819)

  [ Josh Arenson ]
  * Assign touch events area to the correct values.

  [ Albert Astals ]
  * Move the creation of the surface observer to
    SessionListener::surface_created

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 14 Jan 2015 09:07:53 +0000

qtmir (0.4.4+15.04.20150109-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Nick Dedekind ]
  * Notify prompt sessions that sessions have been suspended/resumed.
    (LP: #1355173, #1384950)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Jan 2015 17:26:00 +0000

qtmir (0.4.4+15.04.20150108.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Cemil Azizoglu ]
  * Rebuild for Mir 0.10.

  [ Nick Dedekind ]
  * Compatibility for Mir 0.10.0

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Jan 2015 14:18:06 +0000

qtmir (0.4.4+15.04.20141215-0ubuntu1) vivid; urgency=low

  [ Daniel d'Andrada ]
  * Update README and readd option to disable building tests

  [ Gerry Boland ]
  * Emit SIGSTOP when AppMan fully initialized, when Mir is ready is too
    soon (LP: #1394208)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Dec 2014 08:27:44 +0000

qtmir (0.4.4+15.04.20141211-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alan Griffiths ]
  * Migration of qtmir from the legacy Mir API
  * Refactor to better reflect the code structure following new-migrate-
    to-mir-Server-API

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Dec 2014 16:55:53 +0000

qtmir (0.4.4+15.04.20141205-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk
  * Resync trunk
  * Resync trunk
  * Resync trunk
  * Resync trunk

  [ Ricardo Salveti de Araujo ]
  * qteventfeeder: adding bt and wired headset multimedia keys (LP:
    #1398427)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Dec 2014 11:04:29 +0000

qtmir (0.4.4+15.04.20141203-0ubuntu1) vivid; urgency=low

  [ Gerry Boland ]
  * Port qmake->cmake to enable sbuild usage for crosscompiling.
  * Fix build with Qt5.4 (LP: #1394884)

  [ Michał Sawicz ]
  * Port qmake->cmake to enable sbuild usage for crosscompiling.

  [ Robert Carr ]
  * Port qmake->cmake to enable sbuild usage for crosscompiling.

  [ Alberto Aguirre ]
  * Select mirclient backend for platform-api instead of mirserver.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Dec 2014 10:07:12 +0000

qtmir (0.4.4+15.04.20141124-0ubuntu1) vivid; urgency=low

  [ Alberto Aguirre ]
  * No-change rebuild againts mir 0.9.0

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Nov 2014 23:07:01 +0000

qtmir (0.4.4+15.04.20141110-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Nov 2014 16:50:43 +0200

qtmir (0.4.4+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Michael Zanetti ]
  * Use QSGDefaultImageNode instead of QSGSimpleTexture to gain surface
    manipulation features such as antialiasing (LP: #1351559)

  [ josharenson ]
  * Add support for enabling/disabling orientation sensor based on
    screen power state. (LP: #1375297)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 09:41:58 +0000

qtmir (0.4.4+15.04.20141030.2-0ubuntu1) vivid; urgency=low

  [ Ted Gould ]
  * Use UAL pause/resume functions for stopping/continuing all tasks in
    the cgroup (LP: #1379786)

  [ Timo Jyrinki ]
  * Add libmtdev-dev build dependency (LP: #1379152) (LP: #1379152)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 21:48:30 +0000

qtmir (0.4.4+15.04.20141030.1-0ubuntu1) vivid; urgency=low

  [ Ricardo Mendoza ]
  * Clean up QML Compilation cache if application fails to start
    correctly.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 11:55:27 +0000

qtmir (0.4.4+14.10.20141013-0ubuntu1) utopic; urgency=medium

  [ Daniel d'Andrada ]
  * Turn UbuntuKeyboardInfo into a QML singleton

  [ Gerry Boland ]
  * Rewrite DesktopFileReader to use GDesktopAppInfo, enables reading
    localized keys (LP: #1350360)

  [ Michał Sawicz ]
  * Ensure unity8-dash is less likely to be killed than other background
    apps. (LP: #1379296)

  [ Robert Carr ]
  * Pass key auto-repeat flag through QtEventFeeder.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 13 Oct 2014 10:08:04 +0000

qtmir (0.4.3+14.10.20141010-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Cemil Azizoglu ]
  * Rebuild for Mir 0.8.0.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 16:33:24 +0000

qtmir (0.4.3+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * Fix some bugs in app lifecycle management.

  [ Albert Astals ]
  * Wait for ApplicationManager to be there

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 12:00:01 +0000

qtmir (0.4.3+14.10.20141001.5-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * CONFIG+=no_tests to avoid building the tests and therefore speed up
    the build
  * Provide a global clipboard via D-Bus (LP: #1367814)

  [ josharenson ]
  * Remove check to see if application is already focused before
    focusing.

  [ Robert Carr ]
  * MirSurfaceItem::consume Set motion event tooltypes based on
    QTouchPoints (LP: #1371282)

  [ Gerry Boland ]
  * Fix AppMan handling Upstart resuming a Stopped application

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 Oct 2014 18:43:00 +0000

qtmir (0.4.3+14.10.20140922.1-0ubuntu1) utopic; urgency=low

  [ Gerry Boland ]
  * Expose Mir surface orientation property to QML (LP: #1288332)
  * Add splash screen properties to Application

  [ Florian Boucault ]
  * Add splash screen properties to Application

  [ Daniel d'Andrada ]
  * Add splash screen properties to Application

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 22 Sep 2014 17:38:51 +0000

qtmir (0.4.3+14.10.20140918.3-0ubuntu1) utopic; urgency=low

  [ Gerry Boland ]
  * TaskController may call processStarted synchronously, so check for
    that in startApplication before adding (LP: #1371047)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 16:57:48 +0000

qtmir (0.4.3+14.10.20140918.1-0ubuntu1) utopic; urgency=low

  [ Gerry Boland ]
  * Fix unstable test - be more careful about synchronizing the Qt image
    provider and Mir snapshot threads

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 09:38:52 +0000

qtmir (0.4.3+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * MirSurfaceItem: Ensure all touch sequences sent to Mir surface are
    properly ended.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 14:50:16 +0000

qtmir (0.4.3+14.10.20140907-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * QtEventFeeder: validate touches before sending them to Qt

  [ josharenson ]
  * Fix a small typo in the README file

  [ Alan Griffiths ]
  * Provide Mir with a handler for any command-line arguments it fails
    to parse. For the moment, these are simply ignored.

  [ Gerry Boland ]
  * Add LTTng tracepoints

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 07 Sep 2014 19:42:56 +0000

qtmir (0.4.3+14.10.20140903-0ubuntu1) utopic; urgency=medium

  [ Nick Dedekind ]
  * Use a model for child surfaces/sessions. Add surface tests.
  * Support for nesting prompt sessions.


 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Sep 2014 08:03:52 +0000

qtmir (0.4.2+14.10.20140829-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Cemil Azizoglu ]
  * Rebuild for the Mir 0.7.0 release.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Aug 2014 18:59:49 +0000

qtmir (0.4.2+14.10.20140825-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * Revamp screenshotting to use an image provider again, removing
    screenshot-related methods on Application

  [ Daniel van Vugt ]
  * Add support for building against Mir when it's installed somewhere
    other than /usr (like with a custom $PKG_CONFIG_PATH).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 07:46:36 +0000

qtmir (0.4.1+14.10.20140817-0ubuntu1) utopic; urgency=medium

  [ Michał Sawicz ]
  * Unrevert "MirSurfaceItem: always try to consume new mir frames"

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 17 Aug 2014 00:41:51 +0000

qtmir (0.4.1+14.10.20140815.is.0.4.1+14.10.20140811.1-0ubuntu1) utopic; urgency=medium

  * Reverting previous commit since unity8 started deadlocking in ap
    test runs (requested by Saviq)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 16 Aug 2014 17:18:12 -0300

qtmir (0.4.1+14.10.20140815-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * MirSurfaceItem: always try to consume new mir frames Otherwise those
    frames will get dropped and MirSurfaceItem will therefore never use
    them, being left displaying an old, stale, frame until the
    application renders again.This could happen for instance if an
    application was rendering between the time the Application object
    goes to Suspended state and the actual process getting SIG_STOPPED
    (ie, suspended for real). Frames rendered in this interval were
    getting dropped and once that app was resumed and its MirSurfaceItem
    brought to front the user would see an old stale frame until some
    new event caused the application to render a new frame (e.g. an
    input event) (LP: #1353374)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 17:13:24 +0000

qtmir (0.4.1+14.10.20140811.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michał Sawicz ]
  * Bumped dependency for Mir 0.6.0. Switch to using supported API
    (the_ipc_factory -> new_ipc_factory).

  [ Cemil Azizoglu ]
  * Bumped dependency for Mir 0.6.0. Switch to using supported API
    (the_ipc_factory -> new_ipc_factory).

  [ Alan Griffiths ]
  * Bumped dependency for Mir 0.6.0. Switch to using supported API
    (the_ipc_factory -> new_ipc_factory).

  [ Kevin Gunn ]
  * Bumped dependency for Mir 0.6.0. Switch to using supported API
    (the_ipc_factory -> new_ipc_factory).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 21:12:34 +0000

qtmir (0.4.1+14.10.20140811-0ubuntu1) utopic; urgency=low

  [ Gerry Boland ]
  * AppMan: fix dbus GetWindowStack & GetAppFromPid APIs. On suspend,
    mark focused application unfocused, and reverse on resume.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 15:53:40 +0000

qtmir (0.4.1+14.10.20140808-0ubuntu1) utopic; urgency=medium

  [ Nick Dedekind ]
  * Added prompt surfaces to application

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 08 Aug 2014 12:19:29 +0000

qtmir (0.4.0+14.10.20140805.1-0ubuntu1) utopic; urgency=low

  [ Nick Dedekind ]
  * Only add prompt session surfaces to the surface stack once their
    first frame has been drawn.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Aug 2014 19:23:27 +0000

qtmir (0.4.0+14.10.20140805-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * Don't take screenshots automatically and emit focusRequested()
    reliably (LP: #1350917)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Aug 2014 12:01:39 +0000

qtmir (0.4.0+14.10.20140729-0ubuntu1) utopic; urgency=medium

  [ Gerry Boland ]
  * Update for Mir 0.4.0 compatibility
  * Remove unneeded properties from SurfaceManager and restore support
    for surface with no app parent
  * Add patches to ubuntuclient plugin to enable sharing of GL context -
    needed for oxide
  * Rename client plugin to ubuntumirclient (to match that of qtubuntu)
    There are some apps which check the QPA name is ubuntumirclient, and
    fail with ubuntuclient. Worst offender is Oxide, which is hard to
    rebuild, so this change is easier fix.
  * Revert 125, incorrect branch merged
  * Rename client plugin to ubuntumirclient (to match that of qtubuntu)
    There are some apps which check the QPA name is ubuntumirclient, and
    fail with ubuntuclient. Worst offender is Oxide, which is hard to
    rebuild, so this change is easier fix.
  * Remove surface observer on MirSurfaceItem destruction
  * New apps placed at start of model and are focused immediately.
    AppMan model has proper surface and fullscreen roles now. Whitespace
    fixes
  * Enable UbuntuPlatformServices for a mirserver
  * Fix FTBFS - header file moved
  * Remove ubuntumirclient plugin as it moved to qtubuntu
  * Empty commit to force rebuild for Qt5.3
  * debian: update package name, fixes dependency wait in PPA
  * Fix Qt5.3 compile - QQmlProfiler changed to QQuickProfiler
  * Update README, rename root pro file to match project name
  * debian: replace old libplatform-api-dev with newer libubuntu-
    application-api-dev
  * Fix lifecycle by pulling latest unity-mir code. Rename QML module
    back to Unity.Application. Import unity-mir tests. Use category
    logging
  * Restore code to override side-stage apps to be on main stage on
    single-stage devices
  * Remove unused *toBeFocused state savers
  * debian: update mir & papi version dependencies
  * Fix out-of-tree builds
  * Using const QString ref to save possible QString copy
  * Small header file cleaning
  * Fix test fails - do not run moc again on headers used by tests
  * Downgrade error warning of unmanaged session startup
  * Simplify focus logic, fix tablet lifecycle
  * Workaround GL/GLES conflict between Qt and Mir. Split into 3
    packages: GL qpa, GLES qpa & QML plugin Mir is GLES only. Qt on
    desktop is desktop-GL only. To workaround this, (ab)use the fact
    that MESA on the desktop allows you to bind GL apis to a GLES
    context via eglBindAPI. To use this, need to compile with QPA
    separately for GL and GLES targets. Thus need to split the packaging
    into: + qtmir-android - qpa plugin for GLES targets + qtmir-desktop
    - qpa plugin for desktop-GL targets (uses MESA hack) +
    qtdeclarative5-qtmir-plugin - the QML plugin Also stopped unit tests
    from being installed
  * Re-enable Buffer Queueing OpenGL, should improve graphics
    performance
  * Remove refresh-rate override as Mir now returns correct value
  * MirGLContext - temporary gl context from mir does not have
    attributes defined by GLConfig applied, so need to do so manually
  * DisplayWindow listens for Hide/Show events with its event handler,
    not via a static variable
  * QtEventFeeder - add deconstructor to delete the mTouchDevice
  * Application: delete TODO comment in setSession as nonsensical
  * SessionName removed. PID matching was introduced some time ago and
    so session name unnecessary
  * Application: remove hack to guess app supported orientations,
    implement properly later
  * Fixed threading issue when screen-shotting application about to be
    stopped. By Nick Dedekind
  * Revert rev 179, add comment to clarify
  * Application: replace direct call into MirSurfaceItem with a
    signal/slot. Removes FIXME
  * MirSurfaceItem: setting unfocused on creation breaks camera & videos
    app, so disabling and added fixme
  * Add FIXME about the custom roles
  * Remove redundant comment
  * Remove ApplicationManager::topmostApplication
  * AppMan: if foreground app closes, set all unfocused to let shell
    decide what next to focus
  * Useless static_cast removed
  * DebugHelpers: do not use default state for last option in the enum
    today, the enum may grow in future
  * MirBufferSGTexture: remove the Qt5.3 ifdefs, were probably broken
    for older Qt versions
  * MirSurfaceItem - standardize on qCDebug(QTMIR_SURFACES)
  * MirSurfaceManager: generate roleNames only on read
  * MirSurfaceManager: remove commented line
  * TaskController: add a few more consts
  * Removed WindowScreenshotProvider as not needed for now
  * AppMan: be slightly more verbose with desktop file locating for
    desktop_file_hint. Also use faster exists() static function
  * AppMan: data - remove nonsensical default role
  * ProcessController: expand documentation
  * Clarify licences
  * Give AppMan & SurfMan objectNames
  * MirSurfaceItem: do not print keystrokes to log
  * Fix crash bug - disable input events going to MirSurfaceItem whose
    backing mir surface was destroyed
  * SurfaceManager: do not add each surface to the model twice silly
  * debian: only use gcc4.9 compiler to prevent ABI breaks due to some
    C++11 features still being experimental in gcc
  * AppMan: emit unfocus dbus event on suspend, and focus on resume
  * Revert 214 - breaks install of qtmir and qtubuntu
  * Input Event timestamp - do not overwrite timestamp of events sent to
    client

  [ Nick Dedekind ]
  * Compatibility with mir-0.5

  [ Robert Bruce Park ]
  * CI Train packaging cleanup. Minor packaging cleanup for CI Train
    standards.
  * Slightly more readable debian/rules.

  [ Michael Zanetti ]
  * append newly focused apps instead of prepending them. Allows the ui
    to do the regular app focused animation for newly started apps too
  * Fix multi touch points on mirsurfaceitems. Patch kindly provided by
    anpok.
  * also mir specific key codes through the QKeyEvent

  [ Michael Terry ]
  * Use virtual package names in Conflicts/Replaces fields and clean
    build dirs when doing dh_clean.

  [ Daniel d'Andrada ]
  * ubuntuclient: Properly handle mir's resize event Take it as a
    promise for a future buffer size instead of immediately obeying it.
  * Some MirSurfaceItem fixes Don't assume that it always have an
    Application. Slightly improve its ownership mess.
  * Work around crash in MirSurfaceManager::onSurfaceAttributeChanged
  * Improve debug output of surfaces handled by MirSurfaceManager
  * Make mirserver QPA implement QPlatformIntegration::inputContext() So
    that shell can get a virtual keyboard
  * Wait for screen orientation to stabilize before committing to it
  * Reduce orientation stabilization time and cancel pending change when
    facing up/down
  * Merge multiple qml size changes into a single mir surface resize
    Resizing a mir surface is a costly operation and qml items can get
    resized multiple times in a single event loop iteration. Besides, a
    qml item changes its width and height separately
  * Add WindowScreenshotProvider
  * s/upstart-app-launch-2/ubuntu-app-launch-2
  * Add clipboard support had to remove the dependency of mirserver to
    platform-api-client as it caused a clash as both libs are loading
    unityrpc.proto. That's a protobuffer limitation. Added the protobuf
    generated files directly (unityrpc.cpp and unityrpc.h) as I couldn't
    bend qmake to my will.
  * UbuntuPlatformServices is no longer shared by both QPAs
  * Update Application::fullscreen when the application gets its surface
  * MirSurfaceManager: s/DLOG/qCDebug Use Qt's new categorized logging
    system
  * MirSurfaceManager: improve debug output
  * Hold back this commit for now as qtmir trunk still uses an old mir
    version
  * adapt to latest mir/devel + input_sender branch
  * MirSurfaceManager: improve debug output
  * Revert to the old ways regarding rotation Where unity8 doesn't move
    and apps rotate by themselves. Retake that rotation approach at a
    later time
  * Forward item focus to the underlying mir surface
  * Dispatch keys to mir surface
  * Add a comment with the rationale behind the frame dropper
  * Fix copyright headers
  * Fix and update debian/copyright
  * Removing debian/qtdeclarative5-qtmir-plugin.maintscript This came
    with the copy-pasting unity-mir packaging. Makes no sense in qtmir
    as it never installed a com.canonical.Unity.conf file in the first
    place. That's unity-mir's problems.
  * Add a TODO notice
  * Fix copy-and-paste error in log message
  * Improve Application::setState debug output

  [ Kevin Gunn ]
  * merge lp:~nick-dedekind/qtmir/prompt_sessions
  * no change, rebuild

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 15:13:00 +0000

qtmir (0.0.1-ppa5) utopic; urgency=medium

  * packaging works now

 -- Michael Zanetti <michael.zanetti@canonical.com>  Fri, 16 May 2014 14:04:29 +0200

qtmir (0.0.1-ppa1) utopic; urgency=medium

  * Initial release.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Wed, 14 May 2014 14:28:17 +0200
